AutoCAD Inventor :: Create IMates On Workpoints
Sep 7, 2012
I'm working in Inventor 2012 and new to VBA and I'm gonna kick myself if there's a really easy answer to this. I've got 120+ WorkPoints on corresponding WorkAxes on an irregular pattern both horizontally and vertically. I'd like to Select all the WorkPoints and add a mate Imate then all the work axis and add an insert imate to ease placement of a part at each location within an assembly (this scenario crops up quite often).
I've been trying to use AddMateiMateDefinition but it doesn't seem to let me pass a WorkPoint to it, is it possible?
View 2 Replies
ADVERTISEMENT
Sep 15, 2011
I've been trying to create a LinearGeneralDimension on an IDW from one Workpoint to another.
It crashes when i call the .AddLinear
Here is my code snipit.
Inventor.DrawingView dv = FindDrawingViewInSheetByName(sheet, "VIEW12");
if (null != dv) {
Inventor.WorkPoint p1 = FindWorkPointInAssemblyByName(dv.ReferencedDocumentDescriptor.ReferencedDocument as Inventor.AssemblyDocument, "MR1");
[code]...
View 9 Replies
View Related
Feb 27, 2012
This doesn't work:
oPartDocument.ComponentDefinition.WorkPoints.Item(2)
All I have is one item. (Center Point)
View 1 Replies
View Related
Sep 9, 2012
I'd like to drive the position of workpoints by coordinate values defined in Excel. Inventor allows me to initially create them using values from a linked spreadsheet, however the positions do not change when the spreadsheet is updated. Is there another technique that could do this?
View 1 Replies
View Related
Mar 7, 2013
For some reason, I am unable to use the iMate feature of Autodesk Inventor. I am unable to select iMates on existing parts to assemble them with other parts. I have followed all the instructions for using iMate features, but I always run into trouble because, even though I did indeed enable iMate glyph visibility, and I did do all the other stuff they said, when I click on the iMate glyph, nothing happens. It is as if they weren't even there at all. Selecting the iMates from the project browser on the left doesn't work either; while I am able to select the features, I am unable to move the parts or select any other iMates, except as a group selection, which doesn't let me do anything, either.
View 1 Replies
View Related
Dec 19, 2013
We have a frequently used bearing assembly for dampers, mounted to plate consisting of a shaft hole w/ 2 countersunk holes for flat head cap screws to mount the bearing.
I have a stamp for the hole array into the plate, and can individually i Mate each FHCS into said holes after placing in the assembly onto the plate.
Is there a way to set up the iMates so that the bearing assembly would plop in automatically into the two separate countersunk holes? Not sure if you would have to create iMates in the stamp...or if thats even possible.
Sometimes the damper may have 2 bearing assemblies @ opposite side of the frame for one blade shaft, sometimes we may have as many as 4-5 blade shafts (10 bearing assy's). So Im imagining dragging the thing to each iMated array and dropping it in.
Inventor 2014
Windows 7 Pro SP1
Intel(R) Core(TM) i7-3770k CPU @ 3.50GHz
16GB RAM
NVIDIA Quadro 4000
3D Connexion SpaceMouse Pro
View 2 Replies
View Related
Jun 29, 2010
Is there an option to add an i mate within a sketch block. I am working on a belt conveyor for handling coal and have created a master sketch to drive all components for along the conveyor.
As the ground modules are all the same module, i have a sketch block. Problem is i cannot add an i mate to the idlers within the sketch block. It means i can only create to i mates individually after the sketch block is copied or patterned.
View 5 Replies
View Related
May 27, 2010
Is there a way to make a part being placed into an assembly instantly adapt using imates?
For instance:New assembly... Place box 1...Place box 2, but have it automatically placed inside of box 1 and sized to fit inside with 1" clearance all around.
View 1 Replies
View Related
Sep 14, 2012
I currently have to palce a lot of parts from the content center into an assembly and miss essential imates for easy placement. I am using IV2010 at the moment and have no clue where to start.
I have tried copying a new instance of a part into a new library. I then placed this component in the assembly hoping I could add iMates to it in the assembly environment. But when I want to save I get the message that the part has not been checked out for me to use even though I have read/write access to the library.
So a couple of questions here:
As files in the CC are saved in a datapase and not as part files, can imates be included in that database? Do I really need to recreate the part from scratch, and then publish it to the library?
How would it be possible to open up a CC file like in the part edit mode in an assembly?
View 1 Replies
View Related
Apr 6, 2004
How does IV recognize iMate naming. I am trying to use specific named iMates on parts that when placed in the assembly that they can be placed in the correct postions. What I have run into is that no matter how I name the iMates I can place a part with one iMate name on a non-matching named iMate. Ex.- 1601-1 will mate with 2201-1 using the alt-Drag method. (These two iMates are both insert types.) This happens sometimes using the "Use iMate" checkbox on the place component dialog. I thought that the naming and type of iMate dictated what mates with what not just type.
View 5 Replies
View Related
Jun 17, 2013
Is there a secret to having the Design View Reps stay on the right settings when using Occurrences.AddUsingIMates? I've got a master top level assembly that I'm bringing other iLogic modules into by using an iLogic form in the master top level assembly. The form calls a rule that makes a copy of the module assembly in the same file location as the master TLA. It then adds the module TLA to the master TLA using iMates, and calls an external rule to copy all the sub files from the module into that file location and replace them in the module TLA. The user then calls the module's configuration form using a button on the master TLA's form.
I've been using a line of code to set the DVR back to default and associative for the module, but now that has stopped working and it immediately goes back to Master after running the rule, or even if I try and set it by hand. But if I bring the same module in and place it using the Place button, it comes in correctly. I've even added a NameValueMap for the DVR optional argument on AddUsingiMates and that hasn't work.
View 2 Replies
View Related
Dec 21, 2011
Create code that will allow me to place a part in an assembly at all matching iMate locations. I would also like to call this function from iLogic using RunMacro if possible.
View 1 Replies
View Related
Nov 4, 2011
I'm having an issue with imates not showing up on members of an ipart. If I open the factory file the imates are there, but if I open the member file the imates are not there. This is causing an imate error in my assembly because when I need to switch members out (at the assembly level) the imates are not holding because they're not there!?!
I've even tried "Dirtying" the file by creating a plane and then deleting it, doing a save, then a generate files. This doesn't work either. Why won't the imates show up correctly on the members that they're supposed to show up on?
View 6 Replies
View Related
Mar 8, 2013
know if I can drive the length of a shaft based on two iMates being satisfied? We'll take a driveshaft for example. If, using iMates, I make it connect to the transmission yoke and to the axle yoke, can the Length parameter automatically be changed so it fits?
View 9 Replies
View Related
Jan 18, 2012
Recently we added i Mates to some library-parts. Also replaced some Content Center models by models with iMates. When we place these Content Center parts, the only way to activate the iMates is to right click
When creating a new iPart with iMates and publish this to Content Center everything is working well. Our server and workstations are up-to-date, so I think this is a "bug". Maybe Autodesk fixes in the next update.
View 2 Replies
View Related
Nov 15, 2013
I want to exclude imates from two parts and 1 whole part at the same time.
This is my situation:
PartA with 2 sets of imates(for constrains on 3 axis for no movement) on the right side. Set A and set B.
PartB with 2 sets of imates, one on the left side set A and one on the right side, set C.
PartC with 2 sets of imates on the left side. Set B and set C.
i want, in a iPart, part A connected with part C connection with iMate set B. And in the same ipart i want Part A, B and C connected respectively with iMate sets A,C
So in the first situation i want iMates A and C and part B to be suppressed and in the second i want iMate set B to be suppressed.
View 1 Replies
View Related
Feb 27, 2013
I've got an existing assembly in which I need to change the matchlist for the imates. I have been able to change the imate names but not the match list.
The only reference I have found creates the iMate in a part. I need to edit an existing iMate in the assembly document for the matchlist.
I have some code below, but it is not complete.
Set MyPart = ThisApplication.Documents.Open(strJobLocalDirectory & strLFVAssyName)
Set oAssyComp = ThisApplication.ActiveDocument.ComponentDefinition
'Dim oDoc As Inventor.AssemblyDocument
Set oDoc = ThisApplication.ActiveDocument
Dim oInsertiMate As InsertiMateDefinition
[code]....
View 2 Replies
View Related
Feb 15, 2013
I was just wondering how to place a component into an assembly using ilogic? If this is possible, is there also an option to choose if iMates will be generated?
I would ideally like to place a list of components into an assembly, the list with probably exist in excel, then have iMates set to 'Automatically generate iMates on place' so that my assembly assembles automatically.
Inventor 2013 Certified Professional
Autodesk Inventor Professional 2011
Windows 7 Enterprise, 64-bit
View 7 Replies
View Related
Jan 10, 2012
I am trying to use iMates names to place a hydraulic adapter into an assembly. The adapter has two male ends - one end with an insert iMate matching a cylinder iMate and one end with an insert iMate matching the hose fitting. When placing the adapter, the iMate names are ignored and it is mated backwards using inferred iMates.
Also, I get an error because it wants to mate new instances of the part to the unconsumed iMate of the part that was just placed (which I guess would place parts into infinity). I have changed around the iMate names and matching names every way I can think of, but the names still are ignored, and it uses other deferred iMates.
View 5 Replies
View Related
Sep 30, 2013
I'm trying to figure out how to create an iLogic rule that would create a Custom iProperties and put in what version of Inventor the file was last updated with.
View 8 Replies
View Related
Nov 18, 2013
I'm trying to create a pdf from an idw that is referencing a very large assembly on multiple pages of the idw.
With the multiple views when I go to create a pdf it says it needs to update the views and proceeds in excess of 4hrs to do 1/6 views.
Is there anyway to speed up this process? possibly use other computers that aren't being used on the network to share their resources? (Is this a possibility like in 3ds Max?)
(Computer has 32 GB memory, Intel Xeon CPU L5520, 64-bit windows.)
View 3 Replies
View Related
Sep 1, 2012
Is there a way to creat Macros in Inventor... like we used to do with AutoCAD?
View 5 Replies
View Related
Jan 16, 2013
I'm drawing a blank, how do I connect a UCS to the existing Origin of a part. I can select the Centre Point to attach the UCS to , but I have nothing the align the X & Y axis to (X Axis and Y Axis in the Origin folder are not selectable)
If I try to add a UCS to a blank part, the ONLY thing I can select is the Centre Point, but the UCS requires 3 inputs!
View 5 Replies
View Related
Nov 25, 2011
I tried unsuccessfully to create a lip around a curve surface and there is no flat plane to select for the sketch. Wonder if this could be done in Inventor. My version is 2011.
View 4 Replies
View Related
Jul 31, 2012
I am trying to come up with an easy way to input information for basic objects that we need for sales drawings. Is there a way to create a prompt(length, width, Diameter etc.) so when you open the .ipt it pops up? Anything a little more organized than the parameters box? I've done an excel sheet in the past for certain things, but didn't want to carry and excel sheet over for this option.
Inv 2011
Windows 7
Inventor 2011
Intel Core 2 Duo 2.93GHz
8GB RAM
Windows 7 Pro
View 6 Replies
View Related
Aug 6, 2012
I am trying to convert punch .ipt 2013 version file into a Sheet Metal Punch iFeature...For an unknown reason to me i cannot get it to work...Have a look at the file and see why i cannot convert to a Sheet Metal Punch iFeature ?
The Punch will then go onto the Sheet Metal Plate
View 5 Replies
View Related
Feb 16, 2012
Is it possible to create a 3D PDF from Inventor 2012? Or is there a third party software that is needed to do this?
View 9 Replies
View Related
Aug 1, 2013
Trying to create a 3D sweep. I want to keep the sweep parallel to the XZ plane (like a parting surface). In the attached part, there is a SweepSrf3 that has sort of what I am trying to do, but it does not go all the way around the path. Notice how the sweep is parallel to the plane. I tried to do the same thing in SweepSrf4, by selecting the 3D Sketch1 as the path, Sketch2 as the profile, and Workplane2 as the Guide Surface. That failed.
In SweepSrf4, the only way that I could get the sweep to come close to working was to use the 3D Sketch1 as the guide rail and the circle as the Path. Seems like I need to use the circle as the guide rail and the 3D Sketch1 as the path to get what I want... but that fails.
View 5 Replies
View Related
Jul 26, 2013
How can I create a hem in a corner? The default setup overlaps them and throws an error. A simple "miter" will correct the problem, but I cannot figure out how to do it!
View 4 Replies
View Related
Mar 15, 2012
I can't create a dwg from an assembly because it's telling me that "The factory must be updated before views of it's members can be used". What does this mean and how do you update the factory?
View 4 Replies
View Related
Dec 26, 2011
I'm trying to create a rib from the sketch shown. Before I go to support with this, how to make it work or why it won't? I think Inventor just isn't up to it. If I add perpendicular lines to the endpoints of the line shown, it'll make rib, but the rib isn't right - i.e. it doesn't maintain tangency the way it should. I'd rather not have to go through and surface it.
Infrastructure DSP '14 / Product DSP '14 / Vault Professional 2014
Dell Precision T1650
Windows 7 Professional SP1 64-bit
Intel E3-1270 V2 3.5GHz / 32G RAM
Nvidia Quadro 2000, Driver 331.82
Space Navigator, Driver Version 6.17.7
View 1 Replies
View Related